Loading...
Searching...
No Matches
quad< T1, T2, T3, T4 > Class Template Reference

`#include <openbabel/obutil.h>`

## Public Types

typedef T1 | first_type
typedef T2 | second_type
typedef T3 | third_type
typedef T4 | fourth_type

## Public Member Functions

| quad ()
| quad (const T1 &a, const T2 &b, const T3 &c, const T4 &d)
template<class U, class V, class W, class X>
| quad (const quad< U, V, W, X > &q)

## Public Attributes

T1 | first
T2 | second
T3 | third
T4 | fourth

## Detailed Description

template<class T1, class T2, class T3, class T4>
class OpenBabel::quad< T1, T2, T3, T4 >

A 4-element templated, based on the design of the STL pair<>.

## Member Typedef Documentation

## first_type

template<class T1, class T2, class T3, class T4>

typedef T1 first_type

## second_type

template<class T1, class T2, class T3, class T4>

typedef T2 second_type

## third_type

template<class T1, class T2, class T3, class T4>

typedef T3 third_type

## fourth_type

template<class T1, class T2, class T3, class T4>

typedef T4 fourth_type

## Constructor & Destructor Documentation

## quad() [1/3]

template<class T1, class T2, class T3, class T4>

quad | ( |  | ) |

inline

default constructor T1() and T2() and T3() force initialization for built in types

Referenced by quad().

## quad() [2/3]

template<class T1, class T2, class T3, class T4>

quad | ( | const T1 & | a,
|  | const T2 & | b,
|  | const T3 & | c,
|  | const T4 & | d )

inline

constructor for 3 values

## quad() [3/3]

template<class T1, class T2, class T3, class T4>
template<class U, class V, class W, class X>

quad | ( | const quad< U, V, W, X > & | q | ) |

inline

copy constructor with implicit conversions

## Member Data Documentation

## first

template<class T1, class T2, class T3, class T4>

T1 first

Referenced by OBTorsion::AddTorsion(), OBTorsion::GetTorsions(), quad(), quad(), and quad().

## second

template<class T1, class T2, class T3, class T4>

T2 second

Referenced by OBTorsion::AddTorsion(), OBTorsion::GetTorsions(), quad(), quad(), and quad().

## third

template<class T1, class T2, class T3, class T4>

T3 third

Referenced by OBTorsion::AddTorsion(), OBTorsion::GetTorsions(), quad(), quad(), and quad().

## fourth

template<class T1, class T2, class T3, class T4>

T4 fourth

Referenced by OBTorsion::AddTorsion(), OBTorsion::GetTorsions(), quad(), quad(), and quad().

The documentation for this class was generated from the following file:

- obutil.h